Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMAnnotation

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMAnnotation

public class SOMAnnotation
extends SOMObject

<annotation> The XML representation for an annotation schema component is an element information item. Annotation of schemas and schema components, with material for human or computer consumption, is provided for by allowing application information and human information at the beginning of most major schema elements, and anywhere at the top level of schemas.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SOMAnnotation()`

Method Summary
`SOMAppInfo` | `addAppInfo(SOMAppInfo appinfo)`
`SOMAppInfo` | `addAppInfo(java.lang.String content)` The addAppInfo method is a utility method that creates a new SOMAppInfo object ( <appinfo> ) with an initial content string of content.
`protected SOMObject` | `addChild(java.lang.String tagName, org.xml.sax.Attributes attrs)`
`SOMDocumentation` | `addDocumentation(SOMDocumentation documentation)` add a SOMDocumentation element to the schema tree
`SOMDocumentation` | `addDocumentation(java.lang.String content)` The addDocumentation method is a utility method that creates a new SOMDocumentation object ( ) with an initial content string of content.
`SOMAppInfo` | `addInfo(SOMAppInfo info)` The addInfo method should be used to create child elements to the element.
`java.util.Iterator` | `getAppInfoElements()` returns an iterator for all AppInfo elements
`java.util.Iterator` | `getChildren()` returns an iterator for all child elements
`java.util.Iterator` | `getDocumentationElements()` returns an iterator for all documentation elements
`java.lang.String` | `getID()`
`void` | `toXML(java.io.Writer rtn, int indent)`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMAnnotation

    public SOMAnnotation()

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### addChild

    protected SOMObject addChild(java.lang.String tagName,
                                 org.xml.sax.Attributes attrs)
                          throws org.xml.sax.SAXException

  Overrides:
    addChild in class SOMObject

### addDocumentation

    public SOMDocumentation addDocumentation(java.lang.String content)

  The addDocumentation method is a utility method that creates a new SOMDocumentation object ( ) with an initial content string of content. The newly created object is added as a sub-element of the annotation and returned.

  Parameters:
    `content` - The content body for the documentation element.
  Returns:
    a reference to the newly created object

### addDocumentation

    public SOMDocumentation addDocumentation(SOMDocumentation documentation)

  add a SOMDocumentation element to the schema tree

  Parameters:
    `documentation` - the documentation element to be added
  Returns:
    a reference to the added <documentation> object

### addAppInfo

    public SOMAppInfo addAppInfo(java.lang.String content)

  The addAppInfo method is a utility method that creates a new SOMAppInfo object ( <appinfo> ) with an initial content string of content. The newly created object is added as a sub-element of the annotation and returned.

  Parameters:
    `content` - The content body for the appinfo element.
  Returns:
    a reference to the newly created <appinfo> object

### addAppInfo

    public SOMAppInfo addAppInfo(SOMAppInfo appinfo)

### addInfo

    public SOMAppInfo addInfo(SOMAppInfo info)

  The addInfo method should be used to create child elements to the element. Valid children for are and . is represented by SOMAppInfo, and is represented by SOMDocumentation.

  Parameters:
    `info` - a SOMAppInfo object or SOMDocumentation object

### getChildren

    public java.util.Iterator getChildren()

  returns an iterator for all child elements

  Returns:
    Iterator

### getDocumentationElements

    public java.util.Iterator getDocumentationElements()

  returns an iterator for all documentation elements

  Returns:
    Iterator

### getAppInfoElements

    public java.util.Iterator getAppInfoElements()

  returns an iterator for all AppInfo elements

  Returns:
    Iterator

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)